Get native custom-agent settings for an agent
Returns instructions, selected workspaceSkillIds, and agent-scoped MCP connections for a native custom agent. Use this endpoint for native custom agents, not /agents/{id}/claude.
GET
/agents/{id}/nativeAuthorization
AuthorizationOAuth2 access token · headerrequiredScopes:
api:reador
AuthorizationBearer token (JWT) · headerrequiredPath parameters
idstringrequiredResponses
200
401Unauthorized - Invalid or missing authentication token
403Forbidden - Insufficient API scopes or permissions
Request
curl -X GET "https://leadtime.app/api/public/agents/string/native" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"const response = await fetch("https://leadtime.app/api/public/agents/string/native", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_ACCESS_TOKEN"
}
});import requests
response = requests.get(
"https://leadtime.app/api/public/agents/string/native",
headers={
"Authorization": "Bearer YOUR_ACCESS_TOKEN"
},
)Response
No example response.
Unauthorized - Invalid or missing authentication token
Forbidden - Insufficient API scopes or permissions